Home page logo
/

oss-sec logo oss-sec mailing list archives

CVE-2011-4924 assignment notification -- Zope2, Zope3: Incomplete upstream fix for CVE-2010-1104 issue
From: Jan Lieskovsky <jlieskov () redhat com>
Date: Thu, 19 Jan 2012 13:12:10 +0100

Hello vendors,

  originally, Common Vulnerabilities and Exposures assigned an identifier
CVE-2010-1104 to the following vulnerability:

Cross-site scripting (XSS) vulnerability in Zope 2.8.x before 2.8.12, 2.9.x
before 2.9.12, 2.10.x before 2.10.11, 2.11.x before 2.11.6, and 2.12.x before
2.12.3 allows remote attackers to inject arbitrary web script or HTML via
vectors related to error messages.

Later the applied upstream patch was found to be incomplete. The CVE identifier
of CVE-2011-4924 has been assigned to this incomplete fix with the issue
description as follows:

A cross site scripting (XSS) flaw was found in the way Zope2 and Zope3
performed error messages sanitization. If a remote attacker could trick a user,
who was logged into Zope2, into visiting a specially-crafted URL, it would lead
to arbitrary web script execution in the context of user's Zope2 session. If a
remote attacker could trick a user, who was logged into Zope3, into examining
error entries for particular Zope3 instance, it would lead to arbitrary web
script execution in the context of user's Zope3 session.

Credit: Issue has been discovered by Radek Steiger of Red Hat.

References:
[1] https://bugzilla.redhat.com/show_bug.cgi?id=CVE-2011-4924

Zope2 fixes relevant information:
=================================
Zope2 v2.12.22 and Zope2 v2.13.12 hotfix announcement:
[2] https://mail.zope.org/pipermail/zope-dev/2012-January/043987.html

PyPi Zope_Hotfix_CVE_2010_1104 1.0 reference:
[3] http://pypi.python.org/pypi/Products.Zope_Hotfix_CVE_2010_1104

Zope2 Hotfix_CVE_2010_1104 SVN entries:
[4]
http://svn.zope.org/Products.Zope_Hotfix_CVE_2010_1104/?rev=124087&sortby=log#dirlist

Zope2 v2.12.22 Changelog:
[5] http://pypi.python.org/pypi/Zope2/2.12.22#id1

Zope2 v2.13.12 Changelog:
[6] http://pypi.python.org/pypi/Zope2/2.13.12#id1

Zope3 fixes relevant information:
=================================
New Zope3 zope.error v3.7.3 version has been released to correct this issue:
[7] http://pypi.python.org/pypi/zope.error/3.7.3

Relevant Zope 3 upstream patch:
[8] http://svn.zope.org/zope.error/trunk/?rev=124062&view=rev

Jan-Wijbrand Kolman will issue Zope3 zope.error package updates against
ZTK v1.0 and v1.1 branches yet.

Jan, once this is done, could you list the relevant links here too?
(in the reply to this post)

Thank you && Regards, Jan.
--
Jan iankko Lieskovsky / Red Hat Security Response Team


  By Date           By Thread  

Current thread:
[ Nmap | Sec Tools | Mailing Lists | Site News | About/Contact | Advertising | Privacy ]